Subject: [Megaco] h.248 over M3UA or M2UA

From: "Agonias, Richard L. \(Digitel-GSM\)" <[email-masked]>
Date: Mon, 10 Nov 2008 19:03:24 +0800

Hi experts,

I would like to ask if what does the RFC specify for the H.248
connection, is it M3UA or M2UA?

Thanks!

richard
_______________________________________________
Megaco mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/megaco

---

From: "Schwarz Albrecht" <[email-masked]>
Date: Mon, 10 Nov 2008 12:12:54 +0100

RFC???

The majority of possible H.248 transports is non-SIGTRAN based. There is
just one SIGTRAN mode, using M3UA ..

Draft H.248.67 provides an overview of common H.248 transport modes.

http://wftp3.itu.int/av-arch/avc-site/2005-2008/0808_Gen/TD-40.zip

draft new ITU-T Rec. H.248.67 (ex H.248.TrM) "Gateway control protocol:
GCP transport mode indication package" 

Table 1 - Property values for H.248 transport modes

Text codepoint

Binary Codepoint

Protocol Stack

Reference

IPv4

UDP|IP4

0x0000

UDP/IPv4

Annex D of [ITU-T H.248.1]

UDP|IP4-IPS

0x0001

UDP/IPsec/IPv4

+ [IETF RFC 4301]

UDP|IP4-DTLS

0x0002

UDP/DTLS/IPv4

+ [IETF RFC 4347]

TCP|IP4

0x0003

TCP/IPv4

Annex D of [ITU-T H.248.1]

TCP|IP4-IPS

0x0004

TCP/IPsec/IPv4

+ [IETF RFC 4301]

TCP|IP4-TLS

0x0005

TCP/TLS/IPv4

+ [IETF RFC 4346]

SCTP|IP4

0x0006

SCTP/IPv4

[ITU-T H.248.4]

SCTP|IP4-IPS

0x0007

SCTP/IPsec/IPv4

+ [IETF RFC 4301]

SCTP|IP4-TLS

0x0008

SCTP/TLS/IPv4

+ [IETF RFC 4346]

M3UA/SCTP|IP4

0x0009

M3UA/SCTP/IPv4

[ETSI TS 129 202]

M3UA/SCTP|IP4-IPS

0x000a

M3UA/SCTP/IPsec/IPv4

+ [IETF RFC 4301]

M3UA/SCTP|IP4-TLS

0x000b

M3UA/SCTP/TLS/IPv4

+ [IETF RFC 4346]

IPv6

UDP|IP6

0x000c

UDP/IPv6

Annex D of [ITU-T H.248.1]

UDP|IP6-IPS

0x000d

UDP/IPsec/IPv6

+ [IETF RFC 4301]

UDP|IP6-DTLS

0x000e

UDP/DTLS/IPv6

+ [IETF RFC 4346]

TCP|IP6

0x000f

TCP/IPv6

Annex D of [ITU-T H.248.1]

TCP|IP6-IPS

0x0010

TCP/IPsec/IPv6

+ [IETF RFC 4301]

TCP|IP6-TLS

0x0011

TCP/TLS/IPv6

+ [IETF RFC 4346]

SCTP|IP6

0x0012

SCTP/IPv6

[ITU-T H.248.4]

SCTP|IP6-IPS

0x0013

SCTP/IPsec/IPv6

+ [IETF RFC 4301]

SCTP|IP6-TLS

0x0014

SCTP/TLS/IPv6

+ [IETF RFC 4346]

M3UA/SCTP|IP6

0x0015

M3UA/SCTP/IPv6

[ETSI TS 129 202]

M3UA/SCTP|IP6-IPS

0x0016

M3UA/SCTP/IPsec/IPv6

+ [IETF RFC 4301]

M3UA/SCTP|IP6-TLS

0x0017

M3UA/SCTP/TLS/IPv6

+ [IETF RFC 4346]

ATM

MTP3b|ATM

0x0018

MTP3b/N-SAAL/AAL5/ATM

clause 4 of [ITU-T H.248.5]

SSCOP|ATM

0x0019

SSCOP/AAL5/ATM

clause 5 of [ITU-T H.248.5]

ALF/AAL5|ATM

0x001a

ALF/AAL5/ATM

clause 6 of [ITU-T H.248.5]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Agonias,
> Richard L. (Digitel-GSM)
> Sent: Montag, 10. November 2008 12:03
> To: [email-masked]
> Subject: [Megaco] h.248 over M3UA or M2UA
>
> Hi experts,
>
> I would like to ask if what does the RFC specify for the
> H.248 connection, is it M3UA or M2UA?
>
> Thanks!
>
> richard